Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.idea.model
[Groovy] Class Project

    java.lang.Object
      org.gradle.plugins.idea.model.Project

    class Project

Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

Authors:
  Hans Dockter

Property Summary
`Jdk` | `jdk` Represent the jdk information of the project java sdk.
`java.util.Set` | `modulePaths` A set of Path instances pointing to the modules contained in the ipr.
`java.util.Set` | `wildcards` A set of wildcard string to be included/excluded from the resources.

Constructor Summary
`Project(java.util.Set modulePaths, java.lang.String javaVersion, java.util.Set wildcards, java.io.Reader inputXml, Action beforeConfiguredAction, Action whenConfiguredAction, XmlTransformer withXmlActions)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.Object` | `toXml(java.io.Writer writer)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### jdk

    Jdk jdk

  Represent the jdk information of the project java sdk.

### modulePaths

    java.util.Set modulePaths

  A set of Path instances pointing to the modules contained in the ipr.

### wildcards

    java.util.Set wildcards

  A set of wildcard string to be included/excluded from the resources.

Constructor Detail

### Project

    Project(java.util.Set modulePaths, java.lang.String javaVersion, java.util.Set wildcards, java.io.Reader inputXml, Action beforeConfiguredAction, Action whenConfiguredAction, XmlTransformer withXmlActions)

Method Detail

### equals

    boolean equals(java.lang.Object o)

### hashCode

    int hashCode()

### toXml

    java.lang.Object toXml(java.io.Writer writer)

Groovy Documentation